# HG changeset patch
# User kirithika <kirithika@multicorewareinc.com>
# Date 1545834797 -19800
#      Wed Dec 26 20:03:17 2018 +0530
# Node ID 3d4bb3024608303d9dacd0ff177916dbfc5ddfc9
# Parent  d757a721369b0fc576fa43adf166e7488c4046bf
Add support for Dolby Vision profile 8.2

diff -r d757a721369b -r 3d4bb3024608 doc/reST/cli.rst
--- a/doc/reST/cli.rst	Wed Dec 26 18:47:10 2018 +0530
+++ b/doc/reST/cli.rst	Wed Dec 26 20:03:17 2018 +0530
@@ -2236,7 +2236,7 @@
     The value is specified as a float or as an integer with the profile times 10,
     for example profile 5 is specified as "5" or "5.0" or "50".
     
-    Currently only profile 5 and profile 8.1 enabled, Default 0 (disabled)
+    Currently only profile 5, profile 8.1 and profile 8.2 enabled, Default 0 (disabled)
 
 .. option:: --dolby-vision-rpu <filename>
 
diff -r d757a721369b -r 3d4bb3024608 source/common/param.cpp
--- a/source/common/param.cpp	Wed Dec 26 18:47:10 2018 +0530
+++ b/source/common/param.cpp	Wed Dec 26 20:03:17 2018 +0530
@@ -1545,13 +1545,13 @@
         "Invalid refine-ctu-distortion value, must be either 0 or 1");
     CHECK(param->maxAUSizeFactor < 0.5 || param->maxAUSizeFactor > 1.0,
         "Supported factor for controlling max AU size is from 0.5 to 1");
-    CHECK((param->dolbyProfile != 0) && (param->dolbyProfile != 50) && (param->dolbyProfile != 81),
-        "Unsupported Dolby Vision profile, only profile 5 and profile 8.1 enabled");
+    CHECK((param->dolbyProfile != 0) && (param->dolbyProfile != 50) && (param->dolbyProfile != 81) && (param->dolbyProfile != 82),
+        "Unsupported Dolby Vision profile, only profile 5, profile 8.1 and profile 8.2 enabled");
     if (param->dolbyProfile)
     {
         CHECK((param->rc.vbvMaxBitrate <= 0 || param->rc.vbvBufferSize <= 0), "Dolby Vision requires VBV settings to enable HRD.\n");
-        CHECK((param->internalBitDepth != 10), "Dolby Vision profile - 5 and profile - 8.1 is Main10 only\n");
-        CHECK((param->internalCsp != X265_CSP_I420), "Dolby Vision profile - 5 and profile - 8.1 requires YCbCr 4:2:0 color space\n");
+        CHECK((param->internalBitDepth != 10), "Dolby Vision profile - 5, profile - 8.1 and profile - 8.2 is Main10 only\n");
+        CHECK((param->internalCsp != X265_CSP_I420), "Dolby Vision profile - 5, profile - 8.1 and profile - 8.2 requires YCbCr 4:2:0 color space\n");
 
         if (param->dolbyProfile == 81)
             CHECK(!(param->masteringDisplayColorVolume), "Dolby Vision profile - 8.1 requires Mastering display color volume information\n");
diff -r d757a721369b -r 3d4bb3024608 source/encoder/encoder.cpp
--- a/source/encoder/encoder.cpp	Wed Dec 26 18:47:10 2018 +0530
+++ b/source/encoder/encoder.cpp	Wed Dec 26 20:03:17 2018 +0530
@@ -73,6 +73,7 @@
 {
     { 1, 1, 1, 1, 1, 5, 1,  2, 2, 2, 50 },
     { 1, 1, 1, 1, 1, 5, 0, 16, 9, 9, 81 },
+    { 1, 1, 1, 1, 1, 5, 0,  1, 1, 1, 82 }
 };
 /* Threshold for motion vection, based on expermental result.
  * TODO: come up an algorithm for adoptive threshold */
diff -r d757a721369b -r 3d4bb3024608 source/x265cli.h
--- a/source/x265cli.h	Wed Dec 26 18:47:10 2018 +0530
+++ b/source/x265cli.h	Wed Dec 26 20:03:17 2018 +0530
@@ -361,7 +361,7 @@
     H0("   --dhdr10-info <filename>      JSON file containing the Creative Intent Metadata to be encoded as Dynamic Tone Mapping\n");
     H0("   --[no-]dhdr10-opt             Insert tone mapping SEI only for IDR frames and when the tone mapping information changes. Default disabled\n");
 #endif
-    H0("   --dolby-vision-profile <float|integer> Specifies Dolby Vision profile ID. Currently only profile 5 and profile 8.1 enabled. Specified as '5' or '50'. Default 0 (disabled).\n");
+    H0("   --dolby-vision-profile <float|integer> Specifies Dolby Vision profile ID. Currently only profile 5, profile 8.1 and profile 8.2 enabled. Specified as '5' or '50'. Default 0 (disabled).\n");
     H0("   --dolby-vision-rpu <filename> File containing Dolby Vision RPU metadata.\n"
        "                                 If given, x265's Dolby Vision metadata parser will fill the RPU field of input pictures with the metadata read from the file. Default NULL(disabled).\n");
     H0("   --nalu-file <filename>        Text file containing SEI messages in the following format : <POC><space><PREFIX><space><NAL UNIT TYPE>/<SEI TYPE><space><SEI Payload>\n");
